Problem with c***ud TV Add-on

safmam

New member
May 29, 2020
4
0
1
I have the 16.1 version of Kodi. The C***uld Add-on was not working, so I uninstalled it and I'm having problems reinstalling it. If anyone can help, that would be appreciated. Thanks.
 

RavRob

Moderator
Staff member
Nov 21, 2012
6,584
59
48
The Halls of Valhalla
It depends on how old your box is. Android needs to be at least version 5.1 in order to use the newer versions of kodi.
So give us a bit more info....what platform are you using? What OS version?
 

safmam

New member
May 29, 2020
4
0
1
the android version is 4.4.2
model # M8N
thanks
what Kodi version can this be upgraded to ? thanks
 

RavRob

Moderator
Staff member
Nov 21, 2012
6,584
59
48
The Halls of Valhalla
On this version of android you will not be able to install anything higher. You need a new box to get the latest version os Kodi and working addons.
 

RavRob

Moderator
Staff member
Nov 21, 2012
6,584
59
48
The Halls of Valhalla
It depends where you live. In the US you can get a very good box at Walmart. There are many places on the net where you can also get a good device.
You should stay away from Chinese or Ebay low grade boxes. You should also stay away from pre-loaded boxes that will bring redundant addons.